/*
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public License as
 * published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA
 */

import QtQuick 1.1
import com.nokia.meego 1.1

Item {
	id: root

	property string help

	width: 32
	height: 32
	anchors.verticalCenter: parent.verticalCenter
	anchors.right: parent.right
	anchors.rightMargin: 100

	Image {
		id: helpLink
		anchors.centerIn: parent
		source: "image://theme/icon-s-description-inverse"
	}
	MouseArea {
		id: mouseArea
		anchors.fill: parent
		onClicked: pageStack.push(Qt.resolvedUrl("HtmlHelpView.qml"),
								  { helpTitle : root.help })
	}
	states: [
		State {
			name: "down"; when: mouseArea.pressed
			PropertyChanges { target: helpLink; opacity: 0.5 }
		}
	]
}
