/*
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License as
 * published by the Free Software Foundation; either version 2 of
 * the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA
 */

import QtQuick 1.1
import com.nokia.meego 1.1
import "../base"

Item {
	id: coverItem
	signal clicked
	property alias coverSource: cover.source
	property int size: appWindow.inPortrait ? parent.width : parent.height

	width: size
	height: size - 100
	y: appWindow.inPortrait ? 0 : 50

	Rectangle {
		width: parent.width - 16
		height: parent.height - 16
		anchors.centerIn: parent
		color: "white"

		Image {
			id: cover
			width: parent.width - 8
			height: parent.height - 8
			anchors.centerIn: parent

			Connections {
				target: diskListModel
				onSomeCoverChanged: cover.source = cover.source + "0"
			}

			MouseArea {
				id: coverMouseArea
				anchors.fill: parent
				onClicked: coverItem.clicked()
			}
		}
	}

	Image {
		id: playOverlay
		anchors.centerIn: parent
		source: "../img/play-overlay.png"

		states: [
			State {
				name: "pressed"; when: coverMouseArea.pressed && coverMouseArea.containsMouse
				PropertyChanges {
					target: playOverlay
					opacity: 0.2
				}
			}
		]
	}
	Label {
		anchors.horizontalCenter: playOverlay.horizontalCenter
		anchors.top: playOverlay.bottom
		anchors.topMargin: 20
		text: qsTr("Click to Run")
	}
}
