/*
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License as
 * published by the Free Software Foundation; either version 2 of
 * the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA
 */

import QtQuick 1.1
import com.nokia.meego 1.1
import "../base"

DiskLaunchPage {
	id: root

	SelectionItem {
		titleText: qsTr("Flash Device")
		subtitleText: flashDeviceModel.get(flashDeviceDialog.selectedIndex).name
		onClicked: flashDeviceDialog.open()
	}

	children: [
		SelectionDialog {
			id: flashDeviceDialog
			model: ListModel {
				id: flashDeviceModel
				ListElement { name: "Auto";				code: 0xffff }
				ListElement { name: "MACRONIX 64KB";	code: 0xc21c }
				ListElement { name: "MACRONIX 128KB";	code: 0xc209 }
				ListElement { name: "ATMEL 64KB";		code: 0x1f3d }
				ListElement { name: "SST 64KB";			code: 0xbfd4 }
				ListElement { name: "PANASONIC 64KB";	code: 0x321b }
			}
			titleText: qsTr("Select Flash Device")
			selectedIndex: 0
		}
	]

	function commitOptions() {
		var advOptions = []
		if (flashDeviceDialog.selectedIndex > 0)
			advOptions["gbaMem.flashDevice"] = flashDeviceModel.get(index).code
		return advOptions
	}
}
